com.sun.grid.jgdi.configuration.reflect

## Class AbstractClassDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.AbstractClassDescriptor

- All Implemented Interfaces:
    ClassDescriptor
  Direct Known Subclasses:
    GEObjectDescriptor, HostInfoDescriptor, QHostResultDescriptor

      public abstract class AbstractClassDescriptor
      extends java.lang.Object
      implements ClassDescriptor

  Abstract Base class for `ClassDescriptor` subclasses

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractClassDescriptor(java.lang.Class beanClass, java.lang.String cullName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(PropertyDescriptor property)`
    `protected ListPropertyDescriptor` | `addList(java.lang.String name, java.lang.Class type, java.lang.String cullType, int cullFieldName, boolean browsable, boolean readOnly, boolean configurable)`
    `protected MapPropertyDescriptor` | `addMap(java.lang.String name, java.lang.Class type, java.lang.String cullType, java.lang.Class keyType, int cullFieldName, int keyCullFieldName, int valueCullFieldName, java.lang.Object defaultKey, boolean readOnly, boolean configurable)`
    `protected MapListPropertyDescriptor` | `addMapList(java.lang.String name, java.lang.Class type, java.lang.String cullType, java.lang.Class keyType, java.lang.String cullListType, int cullFieldName, int keyCullFieldName, int valueCullFieldName, java.lang.Object defaultKey, boolean readOnly, boolean configurable)`
    `protected SimplePropertyDescriptor` | `addSimple(java.lang.String name, java.lang.Class type, java.lang.String cullType, int cullFieldName, boolean required, boolean readOnly, boolean configurable)`
    `java.lang.Object` | `clone(java.lang.Object bean)`
    `java.lang.Class` | `getBeanClass()`
    `java.lang.String` | `getCullName()`
    `java.lang.Class` | `getImplClass()`
    `java.util.List` | `getProperties()`
    `PropertyDescriptor` | `getProperty(int index)`
    `PropertyDescriptor` | `getProperty(java.lang.String name)`
    `PropertyDescriptor` | `getPropertyByCullFieldName(int cullFieldName)`
    `int` | `getPropertyCount()`
    `java.lang.String[]` | `getPropertyNames()`
    `java.lang.Object` | `newInstance()`
    `void` | `registryObjects(java.lang.Object root)`
    `void` | `setImplClass(java.lang.Class implClass)`
    `java.lang.String` | `toString(java.lang.Object bean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.reflect.ClassDescriptor

      `validate`

- - ### Constructor Detail

    - #### AbstractClassDescriptor

          protected AbstractClassDescriptor(java.lang.Class beanClass,
                                            java.lang.String cullName)

  - ### Method Detail

    - #### getProperties

          public java.util.List getProperties()

      Specified by:
        `getProperties` in interface `ClassDescriptor`

    - #### add

          protected void add(PropertyDescriptor property)

    - #### addSimple

          protected SimplePropertyDescriptor addSimple(java.lang.String name,
                                                       java.lang.Class type,
                                                       java.lang.String cullType,
                                                       int cullFieldName,
                                                       boolean required,
                                                       boolean readOnly,
                                                       boolean configurable)

    - #### addList

          protected ListPropertyDescriptor addList(java.lang.String name,
                                                   java.lang.Class type,
                                                   java.lang.String cullType,
                                                   int cullFieldName,
                                                   boolean browsable,
                                                   boolean readOnly,
                                                   boolean configurable)

    - #### addMap

          protected MapPropertyDescriptor addMap(java.lang.String name,
                                                 java.lang.Class type,
                                                 java.lang.String cullType,
                                                 java.lang.Class keyType,
                                                 int cullFieldName,
                                                 int keyCullFieldName,
                                                 int valueCullFieldName,
                                                 java.lang.Object defaultKey,
                                                 boolean readOnly,
                                                 boolean configurable)

    - #### addMapList

          protected MapListPropertyDescriptor addMapList(java.lang.String name,
                                                         java.lang.Class type,
                                                         java.lang.String cullType,
                                                         java.lang.Class keyType,
                                                         java.lang.String cullListType,
                                                         int cullFieldName,
                                                         int keyCullFieldName,
                                                         int valueCullFieldName,
                                                         java.lang.Object defaultKey,
                                                         boolean readOnly,
                                                         boolean configurable)

    - #### getProperty

          public PropertyDescriptor getProperty(java.lang.String name)

      Specified by:
        `getProperty` in interface `ClassDescriptor`

    - #### getPropertyNames

          public java.lang.String[] getPropertyNames()

      Specified by:
        `getPropertyNames` in interface `ClassDescriptor`

    - #### getPropertyCount

          public int getPropertyCount()

      Specified by:
        `getPropertyCount` in interface `ClassDescriptor`

    - #### getProperty

          public PropertyDescriptor getProperty(int index)

      Specified by:
        `getProperty` in interface `ClassDescriptor`

    - #### getPropertyByCullFieldName

          public PropertyDescriptor getPropertyByCullFieldName(int cullFieldName)

      Specified by:
        `getPropertyByCullFieldName` in interface `ClassDescriptor`

    - #### getBeanClass

          public java.lang.Class getBeanClass()

      Specified by:
        `getBeanClass` in interface `ClassDescriptor`

    - #### newInstance

          public java.lang.Object newInstance()

      Specified by:
        `newInstance` in interface `ClassDescriptor`

    - #### clone

          public java.lang.Object clone(java.lang.Object bean)

      Specified by:
        `clone` in interface `ClassDescriptor`

    - #### registryObjects

          public void registryObjects(java.lang.Object root)

    - #### getCullName

          public java.lang.String getCullName()

      Specified by:
        `getCullName` in interface `ClassDescriptor`

    - #### toString

          public java.lang.String toString(java.lang.Object bean)

      Specified by:
        `toString` in interface `ClassDescriptor`

    - #### getImplClass

          public java.lang.Class getImplClass()

    - #### setImplClass

          public void setImplClass(java.lang.Class implClass)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.